Download it now!
Bug 73546 - faulty value of attribute value in <wp:anchor> tag
Summary: faulty value of attribute value in <wp:anchor> tag
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: All All
: medium normal
Assignee: Umesh Kadam
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-13 10:14 UTC by Umesh Kadam
Modified: 2014-01-23 10:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
file contains text frames in header/footer section (422.93 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2014-01-17 13:10 UTC, Umesh Kadam
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Umesh Kadam 2014-01-13 10:14:44 UTC
<wp:anchor> tag attribute distL & distR has -ve value (distL="-635" distR="-635" )

Issue Simulation:
-------------------
1) Open the attached file "3-A-SSI-Education-Program-2013.docx" in LibreOffice
2) Click File -> Save As (Microsoft Word 2007/2010 (.docx))
3) Try opening the saved file in MS Office 2010.

Expected behavior:
---------------------
File should be opened without any error messages

Observed behavior:
--------------------
While opening the file in MS Office an error is displayed saying "Unspecified Error"
Comment 1 Umesh Kadam 2014-01-17 13:10:09 UTC
Created attachment 92282 [details]
file contains text frames in header/footer section
Comment 2 Jorendc 2014-01-17 16:48:30 UTC
Reproducible, tested using Mac OSX 10.9 with LibreOffice Version: 4.3.0.0.alpha0+ Build ID: 99159a618fd1ea90a2bc8a72621c88a4cf26e6f5
TinderBox: MacOSX-x86@49-TDF, Branch:master, Time: 2014-01-17_06:36:23

And Word for Mac 2011.

Kind regards,
Joren
Comment 3 Commit Notification 2014-01-23 10:06:19 UTC
umeshkadam committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=896714db527f39497aedee8946964e5acd73778c

fdo#73546 : faulty value of attribute value in <wp:anchor> tag



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.